Bug 1200399 - Review Request: rubygem-fog-profitbricks - Module for the 'fog' gem to support ProfitBricks
Summary: Review Request: rubygem-fog-profitbricks - Module for the 'fog' gem to suppor...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1200310
Blocks: 1152158
TreeView+ depends on / blocked
 
Reported: 2015-03-10 13:40 UTC by Vít Ondruch
Modified: 2016-01-04 05:54 UTC (History)
3 users (show)

Fixed In Version: rubygem-fog-profitbricks-0.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 12:05:40 UTC
Type: ---
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2015-03-10 13:40:15 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-fog-profitbricks.git/tree/rubygem-fog-profitbricks.spec?id=a4acba4bc5ee2d616834a14ac29c9974ba37684e
SRPM URL: http://people.redhat.com/vondruch/rubygem-fog-profitbricks-0.0.1-1.fc23.src.rpm
Description: Module for the 'fog' gem to support ProfitBricks.
Fedora Account System Username: vondruch

Comment 1 Vít Ondruch 2015-03-11 12:43:58 UTC
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9203789

Comment 2 Josef Stribny 2015-03-13 07:54:31 UTC
Taking.

Comment 3 Josef Stribny 2015-03-13 08:00:19 UTC
rpmlint found some zero-length files:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/rubygem-fog-aws-0.1.1-1.fc23.noarch.rpm rubygem-fog-aws.noarch: W: no-documentation
rubygem-fog-aws.noarch: E: zero-length /usr/share/gems/gems/fog-aws-0.1.1/lib/fog/aws/parsers/dns/create_health_check.rb
rubygem-fog-aws.noarch: E: zero-length /usr/share/gems/gems/fog-aws-0.1.1/lib/fog/aws/models/sns/subscription.rb


otherwise the spec looks good, package builds, installs, runs. Tests are passing =>  APPROVED. Please fix the rpmlint issues before pushing.

Comment 4 Vít Ondruch 2015-03-13 13:11:54 UTC
New Package SCM Request
=======================
Package Name: rubygem-fog-profitbricks
Short Description: Module for the 'fog' gem to support ProfitBricks
Upstream URL: https://github.com/fog/fog-profitbricks
Owners: vondruch
Branches: 
InitialCC:

Comment 5 Gwyn Ciesla 2015-03-13 13:45:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.